Skip to content
--- aside: false outline: false title: "Get workflow — Civitai Orchestration API" copyPage: false ---

Get workflow

GET
/v2/consumer/workflows/{workflowId}

Parameters

Path Parameters

workflowId*

The ID of the workflow to get status for

Type
string
Required

Query Parameters

wait

Whether to wait for the workflow to complete before returning or to return immediately
The request may return a 202 if the clients waits for the workflow to complete and the workflow does not complete within the requested timeout.
In which case the client should use the token to query the status of the workflow.

Type
boolean
hideMatureContent

When set to true, any blob that has mature won't be available and won't have a URL

Type
boolean
Default
false

Responses

OK

application/json
JSON

Playground

Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Civitai Developer Documentation